Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.resources.paint
Class DefaultPainter

    java.lang.Object
      org.flexdock.plaf.resources.paint.DefaultPainter

All Implemented Interfaces:
  Painter

Direct Known Subclasses:
  EclipseGradientPainter, GradientPainter, MetalPainter, OfficeXPPainter, SkinLFPainter

    public class DefaultPainter

extends Object
implements Painter

Author:
  Claudio Romano

Field Summary
`static Color` | `DEFAULT_BG_COLOR`
`static Color` | `DEFAULT_BG_COLOR_ACTIVE`
`protected PainterResource` | `painterResource`

Constructor Summary
`DefaultPainter()`

Method Summary
`protected Color` | `getBackgroundColor(boolean active)`
`protected Color` | `getBackgroundColorActive()`
`protected Color` | `getBackgroundColorInactive()`
`PainterResource` | `getPainterResource()`
`void` | `paint(Graphics g, int width, int height, boolean active, JComponent titlebar)`
`void` | `setPainterResource(PainterResource painterResource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BG_COLOR

    public static final Color DEFAULT_BG_COLOR

### DEFAULT_BG_COLOR_ACTIVE

    public static final Color DEFAULT_BG_COLOR_ACTIVE

### painterResource

    protected PainterResource painterResource

Constructor Detail

### DefaultPainter

    public DefaultPainter()

Method Detail

### paint

    public void paint(Graphics g,
                      int width,
                      int height,
                      boolean active,
                      JComponent titlebar)

  Specified by:
    `paint` in interface `Painter`

### getBackgroundColor

    protected Color getBackgroundColor(boolean active)

### getBackgroundColorInactive

    protected Color getBackgroundColorInactive()

### getBackgroundColorActive

    protected Color getBackgroundColorActive()

### getPainterResource

    public PainterResource getPainterResource()

  Specified by:
    `getPainterResource` in interface `Painter`
  Returns:
    Returns the painterResource.

### setPainterResource

    public void setPainterResource(PainterResource painterResource)

  Specified by:
    `setPainterResource` in interface `Painter`
  Parameters:
    `painterResource` - The painterResource to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD